Show / Hide Table of Contents

# Struct Pointer<T>

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.Interop

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public readonly struct Pointer<T>

        where T : struct

##### Type Parameters

Name | Description
--- | ---
T |

### Properties

| Improve this Doc View Source

#### Value

##### Declaration

    public readonly T*Value { get; }

##### Property Value

Type | Description
--- | ---
T* |

### Operators

| Improve this Doc View Source

#### Implicit(T* to Pointer<T>)

##### Declaration

    public static implicit operator Pointer<T>(T*p)

##### Parameters

Type | Name | Description
--- | --- | ---
T* | p |

##### Returns

Type | Description
--- | ---
Pointer<T> |

| Improve this Doc View Source

#### Implicit(Pointer<T> to T*)

##### Declaration

    public static implicit operator T*(Pointer<T> p)

##### Parameters

Type | Name | Description
--- | --- | ---
Pointer<T> | p |

##### Returns

Type | Description
--- | ---
T* |